<?php
/* $Id: holidays.at.inc.php,v 1.2 2003/10/02 16:56:05 k-fish Exp $ */

// Did change the german kalender file to represent the Austrian holidays.
// 2003-05-16 kwz@aon.at
if (date("dm", $date) == "0101") $holiday = Lang::getLanguageString("newyear");	
elseif (date("dm", $date) == "0601") $holiday = "Hl. 3 K&ouml;nige";
elseif (date("dm", $date) == "0105") $holiday = Lang::getLanguageString("firstmay");       
elseif (date("dm", $date) == "1508") $holiday = "Mari&auml;himmelfahrt";
elseif (date("dm", $date) == "2610") $holiday = "Nationalfeiertag";
elseif (date("dm", $date) == "0111") $holiday = Lang::getLanguageString("allerheiligen");
elseif (date("dm", $date) == "0812") $holiday = "Mari&auml;empf&auml;ngnis";
elseif (date("dm", $date) == "2412") $holiday = "Heiliger Abend"; //Lang::getLanguageString("holychristmas");       
elseif (date("dm", $date) == "2512") $holiday = "Christtag"; //Lang::getLanguageString("firstchristmas");
elseif (date("dm", $date) == "2612") $holiday = "Stefanitag"; //Lang::getLanguageString("secondchristmas");
elseif (date("dm", $date) == "3112") $holiday = "Silvester";
else {
    if (date("dmY", $date) == date("dmY", $easter-3600*24*2)) $holiday = ''; //Lang::getLanguageString("easterfriday");
    elseif (date("dmY", $date) == date("dmY", $easter)) $holiday = Lang::getLanguageString("eastersunday");
    elseif (date("dmY", $date) == date("dmY", $easter+3600*24)) $holiday = Lang::getLanguageString("eastermonday");
    elseif (date("dmY", $date) == date("dmY", $easter+3600*24*39)) $holiday = Lang::getLanguageString("himmelfahrt");
    elseif (date("dmY", $date) == date("dmY", $easter+3600*24*49)) $holiday = Lang::getLanguageString("pfingstsunday");
    elseif (date("dmY", $date) == date("dmY", $easter+3600*24*50)) $holiday = Lang::getLanguageString("pfingstmonday");
    elseif (date("dmY", $date) == date("dmY", $easter+3600*24*60)) $holiday = Lang::getLanguageString("fronleichnam");
    else $holiday = "";
}
?>
